# Plutonium framework API: pu::ui::Container Class Reference

pu::ui::Container Class Reference

`#include <ui_Container.hpp>`

Inheritance diagram for pu::ui::Container:

## Public Member Functions

| Container (const i32 x, const i32 y, const i32 width, const i32 height)
void | Add (elm::Element::Ref elem)
elm::Element::Ref & | At (const i32 idx)
bool | Has (elm::Element::Ref &elem)
void | Clear ()
size_t | GetCount ()
void | SetX (const i32 x)
i32 | GetX ()
void | SetY (const i32 y)
i32 | GetY ()
void | SetWidth (const i32 width)
i32 | GetWidth ()
void | SetHeight (const i32 height)
i32 | GetHeight ()
void | PreRender ()

## Protected Attributes

i32 | x
i32 | y
i32 | w
i32 | h
std::vector< elm::Element::Ref > | elems

## Constructor & Destructor Documentation

## Container()

pu::ui::Container::Container | ( | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height
| ) |  |

inline

## Member Function Documentation

## Add()

void pu::ui::Container::Add | ( | elm::Element::Ref | elem | ) |

inline

## At()

elm::Element::Ref & pu::ui::Container::At | ( | const i32 | idx | ) |

inline

## Clear()

void pu::ui::Container::Clear | ( |  | ) |

inline

## GetCount()

size_t pu::ui::Container::GetCount | ( |  | ) |

inline

## GetHeight()

i32 pu::ui::Container::GetHeight | ( |  | ) |

inline

## GetWidth()

i32 pu::ui::Container::GetWidth | ( |  | ) |

inline

## GetX()

i32 pu::ui::Container::GetX | ( |  | ) |

inline

## GetY()

i32 pu::ui::Container::GetY | ( |  | ) |

inline

## Has()

bool pu::ui::Container::Has | ( | elm::Element::Ref & | elem | ) |

inline

## PreRender()

void pu::ui::Container::PreRender | ( |  | ) |

## SetHeight()

void pu::ui::Container::SetHeight | ( | const i32 | height | ) |

inline

## SetWidth()

void pu::ui::Container::SetWidth | ( | const i32 | width | ) |

inline

## SetX()

void pu::ui::Container::SetX | ( | const i32 | x | ) |

inline

## SetY()

void pu::ui::Container::SetY | ( | const i32 | y | ) |

inline

## Member Data Documentation

## elems

std::vector<elm::Element::Ref> pu::ui::Container::elems

protected

## h

i32 pu::ui::Container::h

protected

## w

i32 pu::ui::Container::w

protected

## x

i32 pu::ui::Container::x

protected

## y

i32 pu::ui::Container::y

protected

The documentation for this class was generated from the following file:

- Plutonium/include/pu/ui/ui_Container.hpp